jQuery(document).ready(function($) {
  $('#wc_szamlazz_generate').click(function(e) {
    e.preventDefault();
    var r = confirm("Biztosan létrehozod a számlát?");
    if (r != true) {
      return false;
    }
    var nonce = $(this).data('nonce');
    var order = $(this).data('order');
    var button = $('#wc-szamlazz-generate-button');
    var note = $('#wc_szamlazz_invoice_note').val();
    var deadline = $('#wc_szamlazz_invoice_deadline').val();
    var completed = $('#wc_szamlazz_invoice_completed').val();
    var request = $('#wc_szamlazz_invoice_request').is(':checked');
    var delivery_note = $('#wc_szamlazz_invoice_delivery_note').is(':checked');
    if (request) {
      request = 'on';
    } else {
      request = 'off';
    }

    if (delivery_note) {
      delivery_note = 'on';
    } else {
      delivery_note = 'off';
    }

    var data = {
      action: 'wc_szamlazz_generate_invoice',
      nonce: nonce,
      order: order,
      note: note,
      deadline: deadline,
      completed: completed,
      request: request,
      delivery_note: delivery_note
    };

    button.block({
      message: null,
      overlayCSS: {
        background: '#fff url(' + wc_szamlazz_params.loading + ') no-repeat center',
        backgroundSize: '16px 16px',
        opacity: 0.6
      }
    });

    $.post(ajaxurl, data, function(response) {
      //Remove old messages
      $('.wc-szamlazz-message').remove();

      var responseText = response;

      //Generate the error/success messages
      if (responseText.data.error) {
        button.before('<div class="wc-szamlazz-error error wc-szamlazz-message"></div>');
      } else {
        button.before('<div class="wc-szamlazz-success updated wc-szamlazz-message"></div>');
      }

      //Get the error messages
      var ul = $('<ul>');
      $.each(responseText.data.messages, function(i, value) {
        var li = $('<li>')
        li.append(value);
        ul.append(li);
      });
      $('.wc-szamlazz-message').append(ul);

      //If success, hide the button
      if (!responseText.data.error) {
        button.slideUp();
        button.before(responseText.data.link);
        if(responseText.data.link_delivery) {
          button.before(responseText.data.link_delivery);
        }
      }

      button.unblock();

    });
  });

  $('#wc_szamlazz_options').click(function() {
    $('#wc_szamlazz_options_form').slideToggle();
    return false;
  });

  $('#wc_szamlazz_already').click(function(e) {
    e.preventDefault();
    var note = prompt("Számlakészítés kikapcsolása. Mi az indok?", "Ehhez a rendeléshez nem kell számla.");
    if (!note) {
      return false;
    }

    var nonce = $(this).data('nonce');
    var order = $(this).data('order');
    var button = $('#wc-szamlazz-generate-button');

    var data = {
      action: 'wc_szamlazz_already',
      nonce: nonce,
      order: order,
      note: note
    };

    button.block({
      message: null,
      overlayCSS: {
        background: '#fff url(' + wc_szamlazz_params.loading + ') no-repeat center',
        backgroundSize: '16px 16px',
        opacity: 0.6
      }
    });

    $.post(ajaxurl, data, function(response) {
      //Remove old messages
      $('.wc-szamlazz-message').remove();

      var responseText = response;

      //Generate the error/success messages
      if (responseText.data.error) {
        button.before('<div class="wc-szamlazz-error error wc-szamlazz-message"></div>');
      } else {
        button.before('<div class="wc-szamlazz-success updated wc-szamlazz-message"></div>');
      }

      //Get the error messages
      var ul = $('<ul>');
      $.each(responseText.data.messages, function(i, value) {
        var li = $('<li>')
        li.append(value);
        ul.append(li);
      });
      $('.wc-szamlazz-message').append(ul);

      //If success, hide the button
      if (!responseText.data.error) {
        button.slideUp();
        button.before(responseText.data.link);
      }

      button.unblock();


    });
  });

  $('#wc_szamlazz_already_back').click(function(e) {
    e.preventDefault();
    var r = confirm("Biztosan visszakapcsolod a számlakészítés ennél a rendelésnél?");
    if (r != true) {
      return false;
    }

    var nonce = $(this).data('nonce');
    var order = $(this).data('order');
    var button = $('#wc-szamlazz-generate-button');

    var data = {
      action: 'wc_szamlazz_already_back',
      nonce: nonce,
      order: order
    };

    $('#szamlazz_already_div').block({
      message: null,
      overlayCSS: {
        background: '#fff url(' + wc_szamlazz_params.loading + ') no-repeat center',
        backgroundSize: '16px 16px',
        opacity: 0.6
      }
    });

    $.post(ajaxurl, data, function(response) {
      //Remove old messages
      $('.wc-szamlazz-message').remove();

      var responseText = response;

      //Generate the error/success messages
      if (responseText.data.error) {
        button.before('<div class="wc-szamlazz-error error wc-szamlazz-message"></div>');
      } else {
        button.before('<div class="wc-szamlazz-success updated wc-szamlazz-message"></div>');
      }

      //Get the error messages
      var ul = $('<ul>');
      $.each(responseText.data.messages, function(i, value) {
        var li = $('<li>')
        li.append(value);
        ul.append(li);
      });
      $('.wc-szamlazz-message').append(ul);

      //If success, show the button
      if (!responseText.data.error) {
        button.slideDown();
      }

      $('#szamlazz_already_div').unblock().slideUp();


    });
  });

  //Teljesítettnek jelölés
  $('#wc_szamlazz_generate_complete').click(function(e) {
    e.preventDefault();
    var r = confirm("Biztosan teljesítve lett?");
    if (r != true) {
      return false;
    }

    var nonce = $(this).data('nonce');
    var order = $(this).data('order');
    var form = $('#wc-szamlazz-generate-button');
    var button = $(this);

    var data = {
      action: 'wc_szamlazz_complete',
      nonce: nonce,
      order: order
    };

    form.block({
      message: null,
      overlayCSS: {
        background: '#fff url(' + wc_szamlazz_params.loading + ') no-repeat center',
        backgroundSize: '16px 16px',
        opacity: 0.6
      }
    });

    $.post(ajaxurl, data, function(response) {
      //Remove old messages
      $('.wc-szamlazz-message').remove();

      var responseText = response;

      //Generate the error/success messages
      if (responseText.data.error) {
        form.before('<div class="wc-szamlazz-error error wc-szamlazz-message"></div>');
      } else {
        form.before('<div class="wc-szamlazz-success updated wc-szamlazz-message"></div>');
      }

      //Get the error messages
      var ul = $('<ul>');
      $.each(responseText.data.messages, function(i, value) {
        var li = $('<li>')
        li.append(value);
        ul.append(li);
      });
      $('.wc-szamlazz-message').append(ul);

      //If success, hide the button
      if (!responseText.data.error) {
        button.slideUp();
        button.before(responseText.data.link);
      }

      form.unblock();


    });
  });

  //Teljesítettnek jelölés
  $('#wc_szamlazz_generate_sztorno').click(function(e) {
    e.preventDefault();
    var r = confirm("Biztosan sztornózva lesz?");
    if (r != true) {
      return false;
    }

    var nonce = $(this).data('nonce');
    var order = $(this).data('order');
    var form = $('#wc-szamlazz-generate-button');
    var button = $(this);

    var data = {
      action: 'wc_szamlazz_sztorno',
      nonce: nonce,
      order: order
    };

    form.block({
      message: null,
      overlayCSS: {
        background: '#fff url(' + wc_szamlazz_params.loading + ') no-repeat center',
        backgroundSize: '16px 16px',
        opacity: 0.6
      }
    });

    $.post(ajaxurl, data, function(response) {
      //Remove old messages
      $('.wc-szamlazz-message').remove();

      var responseText = response;

      //Generate the error/success messages
      if (responseText.data.error) {
        form.before('<div class="wc-szamlazz-error error wc-szamlazz-message"></div>');
      } else {
        form.before('<div class="wc-szamlazz-success updated wc-szamlazz-message"></div>');
      }

      //Get the error messages
      var ul = $('<ul>');
      $.each(responseText.data.messages, function(i, value) {
        var li = $('<li>')
        li.append(value);
        ul.append(li);
      });
      $('.wc-szamlazz-message').append(ul);

      //If success, hide the button
      if (!responseText.data.error) {
        button.slideUp();
        button.before(responseText.data.link);
        $('#wc-szamlazz-generated-data').slideUp();
      }

      form.unblock();

    });
  });

  $('#wc_szamlazz_generate_receipt').click(function(e) {
    e.preventDefault();
    var r = confirm("Biztosan létrehozod a nyugtát?");
    if (r != true) {
      return false;
    }
    var nonce = $(this).data('nonce');
    var order = $(this).data('order');
    var button = $('#wc-szamlazz-generate-button');

    var data = {
      action: 'wc_szamlazz_generate_receipt',
      nonce: nonce,
      order: order,
    };

    button.block({
      message: null,
      overlayCSS: {
        background: '#fff url(' + wc_szamlazz_params.loading + ') no-repeat center',
        backgroundSize: '16px 16px',
        opacity: 0.6
      }
    });

    $.post(ajaxurl, data, function(response) {
      //Remove old messages
      $('.wc-szamlazz-message').remove();

      var responseText = response;

      //Generate the error/success messages
      if (responseText.data.error) {
        button.before('<div class="wc-szamlazz-error error wc-szamlazz-message"></div>');
      } else {
        button.before('<div class="wc-szamlazz-success updated wc-szamlazz-message"></div>');
      }

      //Get the error messages
      var ul = $('<ul>');
      $.each(responseText.data.messages, function(i, value) {
        var li = $('<li>')
        li.append(value);
        ul.append(li);
      });
      $('.wc-szamlazz-message').append(ul);

      //If success, hide the button
      if (!responseText.data.error) {
        button.slideUp();
        button.before(responseText.data.link);
      }

      button.unblock();

    });
  });

  //Show and hide accounting fields
  if($('#woocommerce_wc_szamlazz_wc_szamlazz_accounting_details_enabled').length) {
    var $accounting_details = $('#woocommerce_wc_szamlazz_wc_szamlazz_accounting_details_enabled');
    var $table = $('#wc_szamlazz_accounting_details_table');
    var $vevo_azonosito = $('#woocommerce_wc_szamlazz_wc_szamlazz_accounting_details_vevo_azonosito').parents('tr');

    if($accounting_details.is(":checked")) {
      $table.show();
      $vevo_azonosito.show();
    } else {
      $table.hide();
      $vevo_azonosito.hide();
    }

    $accounting_details.change(function(e){
      e.preventDefault();
      if($(this).is(":checked")) {
        $table.show();
        $vevo_azonosito.show();
      } else {
        $table.hide();
        $vevo_azonosito.hide();
      }
    });
  }

  //Show and hide nyugta fields
  if($('#woocommerce_wc_szamlazz_wc_szamlazz_nyugta').length) {
    var $enyugta = $('#woocommerce_wc_szamlazz_wc_szamlazz_nyugta');
    var $elotag = $('#woocommerce_wc_szamlazz_wc_szamlazz_nyugta_elotag').parents('tr');
    var $megjegyzes = $('#woocommerce_wc_szamlazz_wc_szamlazz_nyugta_megjegyzes').parents('tr');
    var $enyugtaEmailSection = $('#woocommerce_wc_szamlazz_wc_szamlazz_nyugta_email');
    var $enyugtaEmail = $('#woocommerce_wc_szamlazz_wc_szamlazz_nyugta_email');
    var $emailSubject = $('#woocommerce_wc_szamlazz_wc_szamlazz_nyugta_email_subject').parents('tr');
    var $emailText = $('#woocommerce_wc_szamlazz_wc_szamlazz_nyugta_email_text').parents('tr');
    var $emailReplyto = $('#woocommerce_wc_szamlazz_wc_szamlazz_nyugta_email_replyto').parents('tr');

    var $couponItem = $('#woocommerce_wc_szamlazz_wc_szamlazz_coupon_type');
    var $couponItemName = $('#woocommerce_wc_szamlazz_wc_szamlazz_coupon_type_name').parents('tr');
    var $couponItemDesc = $('#woocommerce_wc_szamlazz_wc_szamlazz_coupon_type_desc').parents('tr');

    if($enyugta.is(":checked")) {
      $elotag.show();
      $megjegyzes.show();
      $enyugtaEmailSection.parents('tr').show();
    } else {
      $elotag.hide();
      $megjegyzes.hide();
      $enyugtaEmailSection.attr("checked",false);
      $enyugtaEmailSection.parents('tr').hide();
      $emailSubject.hide();
      $emailText.hide();
      $emailReplyto.hide();
    }

    if($couponItem.is(":checked")) {
      $couponItemName.show();
      $couponItemDesc.show();
    } else {
      $couponItemName.hide();
      $couponItemDesc.hide();
    }

    $couponItem.change(function(e){
      e.preventDefault();
      if($(this).is(":checked")) {
        $couponItemName.show();
        $couponItemDesc.show();
      } else {
        $couponItemName.hide();
        $couponItemDesc.hide();
      }
    });

    $enyugta.change(function(e){
      e.preventDefault();
      if($(this).is(":checked")) {
        $elotag.show();
        $megjegyzes.show();
        $enyugtaEmailSection.parents('tr').show();
      } else {
        $elotag.hide();
        $megjegyzes.hide();
        $enyugtaEmailSection.attr("checked",false);
        $enyugtaEmailSection.parents('tr').hide();
        $emailSubject.hide();
        $emailText.hide();
        $emailReplyto.hide();
      }
    });

    if($enyugtaEmail.is(":checked")) {
      $emailSubject.show();
      $emailText.show();
      $emailReplyto.show();
    } else {
      $emailSubject.hide();
      $emailText.hide();
      $emailReplyto.hide();
    }

    $enyugtaEmail.change(function(e){
      e.preventDefault();
      if($(this).is(":checked")) {
        $emailSubject.show();
        $emailText.show();
        $emailReplyto.show();
      } else {
        $emailSubject.hide();
        $emailText.hide();
        $emailReplyto.hide();
      }
    });

  }

  $('#wc_szamlazz_generate_nyugta_sztorno').click(function(e) {
    e.preventDefault();
    var r = confirm("Biztosan sztornózva lesz?");
    if (r != true) {
      return false;
    }

    var nonce = $(this).data('nonce');
    var order = $(this).data('order');
    var form = $('#wc-szamlazz-generate-button');
    var button = $(this);

    var data = {
      action: 'wc_szamlazz_sztorno_receipt',
      nonce: nonce,
      order: order
    };

    form.block({
      message: null,
      overlayCSS: {
        background: '#fff url(' + wc_szamlazz_params.loading + ') no-repeat center',
        backgroundSize: '16px 16px',
        opacity: 0.6
      }
    });

    $.post(ajaxurl, data, function(response) {
      //Remove old messages
      $('.wc-szamlazz-message').remove();

      var responseText = response;

      //Generate the error/success messages
      if (responseText.data.error) {
        form.before('<div class="wc-szamlazz-error error wc-szamlazz-message"></div>');
      } else {
        form.before('<div class="wc-szamlazz-success updated wc-szamlazz-message"></div>');
      }

      //Get the error messages
      var ul = $('<ul>');
      $.each(responseText.data.messages, function(i, value) {
        var li = $('<li>')
        li.append(value);
        ul.append(li);
      });
      $('.wc-szamlazz-message').append(ul);

      //If success, hide the button
      if (!responseText.data.error) {
        button.slideUp();
        button.before(responseText.data.link);
        $('#wc-szamlazz-generated-data').slideUp();
      }

      form.unblock();

    });
  });

  $('#woocommerce_wc_szamlazz_pro_email').keypress(function (e) {
    if (e.which == 13) {
      $(this).parent().find('button').click();
      return false;
    }
  });

  $('#woocommerce_wc_szamlazz_wc_szamlazz_pro_key').click(function(e){
    e.preventDefault();

    var key = $('#woocommerce_wc_szamlazz_pro_key').val();
    var email = $('#woocommerce_wc_szamlazz_pro_email').val();
    var button = $(this);
    var form = button.parents('.wc-szamlazz-section-pro');

    var data = {
      action: 'wc_szamlazz_pro_check',
      key: key,
      email: email
    };

    form.block({
      message: null,
      overlayCSS: {
        background: '#ffffff url(' + wc_szamlazz_params.loading + ') no-repeat center',
        backgroundSize: '16px 16px',
        opacity: 0.6
      }
    });

    form.find('.notice').hide();

    $.post(ajaxurl, data, function(response) {
      //Remove old messages
      if(response.success) {
        window.location.reload();
        return;
      } else {
        form.find('.notice p').html(response.data.message);
        form.find('.notice').show();
      }
      form.unblock();
    });

  });

  $('#woocommerce_wc_szamlazz_wc_szamlazz_pro_key-deactivate').click(function(e){
    e.preventDefault();

    var button = $(this);
    var form = button.parents('.wc-szamlazz-section-pro');

    var data = {
      action: 'wc_szamlazz_pro_deactivate'
    };

    form.block({
      message: null,
      overlayCSS: {
        background: '#ffffff url(' + wc_szamlazz_params.loading + ') no-repeat center',
        backgroundSize: '16px 16px',
        opacity: 0.6
      }
    });

    form.find('.notice').hide();

    $.post(ajaxurl, data, function(response) {
      //Remove old messages
      if(response.success) {
        window.location.reload();
        return;
      } else {
        form.find('.notice p').html(response.data.message);
        form.find('.notice').show();
      }
      form.unblock();
    });

  });

  // Hide notice
	$( '.wc-szamlazz-notice .wc-szamlazz-hide-notice').on('click', function(e) {
		e.preventDefault();
		var el = $(this).closest('.wc-szamlazz-notice');
		$(el).find('.wc-szamlazz-wait').remove();
		$(el).append('<div class="wc-szamlazz-wait"></div>');
		if ( $('.wc-szamlazz-notice.updating').length > 0 ) {
			var button = $(this);
			setTimeout(function(){
				button.triggerHandler( 'click' );
			}, 100);
			return false;
		}
		$(el).addClass('updating');
		$.post( ajaxurl, {
				action: 	'wc_szamlazz_hide_notice',
				security: 	$(this).data('nonce'),
				notice: 	$(this).data('notice'),
				remind: 	$(this).hasClass( 'remind-later' ) ? 'yes' : 'no'
		}, function(){
			$(el).removeClass('updating');
			$(el).fadeOut(100);
		});
	});


});
