<?php
/**
 * Background Emailer
 *
 * @version 3.0.1
 * @package WooCommerce/Classes
 */

defined( 'ABSPATH' ) || exit;

if ( ! class_exists( 'WC_Background_Process', false ) ) {
  include_once dirname( WC_PLUGIN_FILE ) . '/abstracts/class-wc-background-process.php';
}

class WC_Szamlazz_Background_Generator extends WC_Background_Process {

	/**
	 * Initiate new background process.
	 */
	public function __construct() {
		$this->prefix = 'wp_' . get_current_blog_id();
		$this->action = 'wc_szamlazz_invoices';
		parent::__construct();
	}

	protected function task( $callback ) {
		if ( isset( $callback['invoice_type'], $callback['order_id'] ) ) {
			try {
        global $wc_szamlazz;

        if($callback['invoice_type'] == 'proform') {
          $wc_szamlazz->generate_invoice($callback['order_id'],true);
        }

        if($callback['invoice_type'] == 'final') {
          $wc_szamlazz->generate_invoice($callback['order_id']);
        }

        if($callback['invoice_type'] == 'complete') {
          $wc_szamlazz->generate_invoice_complete($callback['order_id']);
        }

        return false;

			} catch ( Exception $e ) {
				if ( defined( 'WP_DEBUG' ) && WP_DEBUG ) {
					trigger_error( 'Nem sikerült a számlát létrehozni a háttérben ezekkel az adatokkal: ' . serialize( $callback ), E_USER_WARNING ); // phpcs:ignore WordPress.PHP.DevelopmentFunctions.error_log_trigger_error
				}
			}
		}
		return false;
	}

}
