<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>
<div class="notice notice-info wc-szamlazz-notice wc-szamlazz-welcome">
	<div class="wc-szamlazz-welcome-body">
    <button type="button" class="notice-dismiss wc-szamlazz-hide-notice" data-nonce="<?php echo wp_create_nonce( 'wc-szamlazz-hide-notice' )?>" data-notice="afakulcs"><span class="screen-reader-text"><?php _e( 'Dismiss' ); ?></span></button>
		<h2>Újdonságok a 3.4-es Számlázz.hu bővítményben</h2>
		<div class="wc-szamlazz-feature-section">
			<span class="dashicons dashicons-performance"></span>
			<h3>Sebesség optimalizáció</h3>
			<p>Lehetőség van arra, hogy automatikus számlakészítés esetén a számlát ne a rendelés elkészítése közben, hanem utána hozza létre, így a vásárló gyorsabban jut el a Köszönöm oldalra. Példa egy átlagos webshopban a köszönöm oldal megjelenítéséig automata számlakészítéssel és teljesítettnek jelöléssel:</p>
			<ul class="wc-szamlazz-defer-speed">
				<li><span style="width:51%">2,8 másodperc</span><small>Késleltetett számlakészítéssel</small></li>
				<li><span>5,4 másodperc</span><small>Számlakészítés a rendeléssel együtt</small></li>
			</ul>
			<p>Ha szeretnéd ezt a funkciót használni, kapcsold be a <strong>Késleltetett számlakészítés</strong> funkciót a beállításokban.</p>
			<hr>
		</div>
		<div class="wc-szamlazz-feature-section">
			<span class="dashicons dashicons-text-page"></span>
			<h3>Áfakulcs módosítás</h3>
			<p>Változott az áfakulcs kezelés akkor, ha az alapértelmezett beállítást használod és konfigurálva van az adózás a WooCommerce beállításaiban. A WooCommerce Adó beállításaiban megadott adókulcsok "Adó neve" értékét fogja áfakulcsként feltüntetni a számlán abban az esetben, ha ezek valamelyike van megadva: TAM, AAM, EU, EUK, MAA, F.AFA, ÁKK. Ha nem ez szerepel, akkor százalékos értéket fogja kiszámolni a nettó és bruttó tétel árból.</p>
			<p>Így a bővítmény támogatja párhuzamosan több áfakulcs beállítását, amit a WooCommerce beépített adózási osztályaival tudsz konfigurálni. Nagy valószínűséggel nem kell módosítanod semmit, de azért a következő számlát nézd meg, hogy jó áfakulcs szerepel e rajta, biztos ami biztos :)</p>
			<hr>
		</div>
		<div class="wc-szamlazz-feature-section">
			<span class="dashicons dashicons-search"></span>
			<h3>Adószám ellenőrzés</h3>
			<div class="wc-szamlazz-feature-section-vatnumber-image"></div>
			<p>Az adószám mező alapértelmezett helye átkerült a cégnév alá. Kitöltés közben és az űrlap elküldésekor is ellenőrzi az adószám formátumát.</p>
			<p>Ha a formátum helyes, akkor a NAV Online Számlázó szolgáltatásától lekéri az adószámhoz tartozó adatokat és csak akkor engedi tovább a vásárlót, ha valós és jó adószámot adott meg. Az adószám adatait(cégnév, cím) eltárolja a rendelés adataiban és meg is jeleníti egy új dobozban a számlakészítés alatt.</p>
			<p>A funkció használatához kapcsold be az <strong>Adószám ellenőrzése</strong> opciót a beállításokban.</p>
			<div class="clear"></div>
			<hr>
		</div>
		<div class="wc-szamlazz-feature-section">
			<span class="dashicons dashicons-trash"></span>
			<h3>Automatikus sztornózás</h3>
			<p>Beállíthatod, hogy melyik rendelési státusznál generáljon automatikusan sztornó számlát, így a viszzamondott rendelések feldolgozása még gyorsabb lesz. Keresd az <strong>Automatikus sztornózás</strong> opciót a beállításokban.</p>
			<?php if(!get_option('_wc_szamlazz_pro_enabled') && $settings['wc_szamlazz_auto'] == 'yes'): ?>
				<hr>
			<?php endif; ?>
		</div>
		<?php if(!get_option('_wc_szamlazz_pro_enabled') && $settings['wc_szamlazz_auto'] == 'yes'): ?>
			<div class="wc-szamlazz-feature-section">
				<span class="dashicons dashicons-info"></span>
				<p>Emlékeztetőül, a 3.3-as verziótól kezdve az automata számlakészítés csak a PRO verzióban érhető el.<br>
				A PRO verzióról itt tudhatsz meg többet: <a href="https://szamlazz.visztpeter.me">https://szamlazz.visztpeter.me</a></p>
			</div>
		<?php endif; ?>
	</div>
</div>
